data:extend(
{
	-- recipes
	{
		type = "recipe",
		name = "y-speed-module-1-recipe",
		energy_required = 3.0, enabled = "true",
		ingredients = {{"y-chip-1", 2}, {"copper-cable",4}, {"iron-plate", 1}}, 
		result = "y-speed-module-1",
		result_count = 1,
	},	
	-- items
	{
		type = "module",
		name = "y-speed-module-1",
		icon = "__Yuoki__/graphics/icons/speed-module-1.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "y-lamps",
		order = "a[speed]-a[speed-module-1]",
		stack_size = 50,
		effect = { speed = {bonus = 0.25}, consumption = {bonus = 0.75}}
	},

	-- orginale
	--[[
	{
		type = "module",
		name = "speed-module",
		icon = "__base__/graphics/icons/speed-module.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "module",
		order = "a[speed]-a[speed-module-1]",
		stack_size = 50,
		effect = { speed = {bonus = 0.2}, consumption = {bonus = 0.5}}
	},
	{
		type = "module",
		name = "speed-module-2",
		icon = "__base__/graphics/icons/speed-module-2.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "module",
		order = "a[speed]-b[speed-module-2]",
		stack_size = 50,
		effect = { speed = {bonus = 0.3}, consumption = {bonus = 0.6}}
	},
	{
		type = "module",
		name = "speed-module-3",
		icon = "__base__/graphics/icons/speed-module-3.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "module",
		order = "a[speed]-c[speed-module-3]",
		stack_size = 50,
		effect = { speed = {bonus = 0.5}, consumption = {bonus = 0.7}}
	},
	]]

})