data:extend(
{	

	-- walls
	{
		type = "recipe",
		name = "y-mud-wall-recipe",
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"dry_mud", 5}, {"y-slag",4}, {"iron-plate", 4}}, 
		result = "mud-wall",
		result_count = 1,
		icon = "__Yuoki__/graphics/icons/m_wall_icon.png",
		subgroup = "y-defense",
		--category = "yuoki-formpress-recipe",		
	},	
	{
		type = "recipe",
		name = "y-rare-wall-basic-recipe",
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"y-refined-yres1", 1}, {"y-slag", 6}, {"stone-wall",1} }, 
		result = "y-rare-wall-basic",
		subgroup = "y-defense",	
		result_count = 1,
		order="w[wall]",
	},	
	{
		type = "recipe",
		name = "y-rare-wall-adv-recipe",
		icon = "__Yuoki__/graphics/icons/rare2-wall-icon2.png",
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"y-orange-stuff", 6}, {"y-slag", 6}, {"stone-wall",1} }, 
		result = "y-rare-wall-adv",
		subgroup = "y-defense",	
		result_count = 1,
		order="w[wall]",
	},		
	{
		type = "recipe",
		name = "y-wall-forcefield-recipe",
		icon = "__Yuoki__/graphics/icons/wall-forcefield-icon.png",
		energy_required = 3.0,
		enabled = "true",
		ingredients = {{"y-rare-wall-basic", 1}, {"y-conductive-coil-1", 3}, {"y-conductive-wire-1",1}, }, 
		result = "y-wall-forcefield",
		subgroup = "y-defense",	
		result_count = 1,
		order="w[wall]",
	},		
	{
		type = "recipe",
		name = "y-wall-forcefield-a-recipe",
		icon = "__Yuoki__/graphics/icons/wall-forcefield-icon.png",
		energy_required = 3.0,
		enabled = "true",
		ingredients = {{"y-wall-forcefield", 1}, {"y-battery-single-use2",1}, }, 
		result = "y-wall-forcefield-a",
		subgroup = "y-defense",	
		result_count = 1,
		order="w[wall]",
	},		
	
	{
		type = "recipe",
		name = "gun-turret-mk2-recipe",
		enabled = "true",
		energy_required = 4,
		ingredients =
		{
			{"gun-turret", 1},
			{"iron-gear-wheel", 3},						
			{"y-unicomp-raw", 1},
			{"y-orange-stuff", 1},
		},
		result = "gun-turret-mk2",
		order="a[turret]-b[mk2]",
	},	
	{
		type = "recipe",
		name = "gun-turret-mk3-recipe",
		enabled = "true",
		energy_required = 4,
		ingredients =
		{
			{"gun-turret", 1},
			{"engine-unit", 1},						
			{"steel-plate", 2},
			{"y-unicomp-raw", 3},
		},
		result = "gun-turret-mk3",
		order="a[turret]-b[mk2]",
	},	
	{
		type = "recipe",
		name = "y-weapon-ztt-recipe",		
		energy_required = 3.0,
		enabled = "true",
		ingredients = {{"y-rare-wall-adv", 6}, {"y-basic-t2-mf", 1}, {"y-infused-uca2", 1} }, 
		result = "y-weapon-ztt",
		subgroup = "y-defense",	
		result_count = 1,
		order="a[turret]-k[1]",
	},		
	
	
}
)	