data:extend(
{	

	-- Heat-Cool-Rib-Block
	{
		type = "recipe",
		name = "y-heat-pipe-recipe",
		ingredients = {{"copper-plate",2},{"iron-plate",1},},
		result = "y-heat-pipe",
		enabled = "true",		
		result_count = 1,
		order="i1",
		subgroup = "yuoki-energy-gen",	
	},	
	{
		type = "item",
		name = "y-heat-pipe",
		icon = "__Yuoki__/graphics/icons/heat-pipe.png",
		flags = {"goes-to-quickbar"},
		order = "i1",		
		stack_size = 50,
	},	
	
	-- Little Stirling Engine	
	{
		type = "recipe",
		name = "y-small-stirling-engine-recipe",
		ingredients = {{"y-basic-t1-mf",1},{"y-heat-pipe",2},},
		result = "y-small-stirling-engine",
		enabled = "true",		
		result_count = 1,
		order="1",
		subgroup = "yuoki-energy-gen",	
	},		
	{
		type = "item",
		name = "y-small-stirling-engine",
		icon = "__Yuoki__/graphics/icons/fce-icon.png",
		flags = {"goes-to-quickbar"},
		order = "1",
		--place_result = "y-small-stirling-engine",
		stack_size = 25,
	},	

	{
		type = "recipe",
		name = "y-solar-dish-recipe",
		ingredients = {{"y-small-stirling-engine",1},{"iron-plate",8},},
		result = "y-stirling-solar-dish",
		enabled = "true",		
		result_count = 1,
		order="1",
		subgroup = "yuoki-energy-gen",	
	},		
	{
		type = "item",
		name = "y-stirling-solar-dish",
		icon = "__Yuoki__/graphics/icons/stir-solar-dish-icon.png",
		flags = {"goes-to-quickbar"},
		order = "1",
		place_result = "y-stirling-solar-dish",
		stack_size = 25,
	},	
	

	-- basic stage-1 maschine frame
	{
		type = "recipe",
		name = "y-basic-st1-mf-recipe",
		ingredients = {{"y-conductive-wire-1",3},{"engine-unit",1},{"iron-gear-wheel",3}, {"y-unicomp-raw", 1}},
		result = "y-basic-t1-mf",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="electric",
	},	
	{
		type = "item",
		name = "y-basic-t1-mf", stack_size = 20,
		icon = "__Yuoki__/graphics/icons/maschine-frame-t1.png",
		flags = {"goes-to-quickbar"},
		subgroup = "y-tech",
		order = "a[items]-1atomic",				
	},	

	-- basic stage-2 maschine frame
	{
		type = "recipe",
		name = "y-basic-st2-mf-recipe",
		ingredients = {{"y-conductive-coil-1",2},{"y-conductive-wire-1",8},{"electric-engine-unit",2},{"iron-gear-wheel",5}, {"y-orange-stuff",4}, {"y-unicomp-raw", 2} },
		result = "y-basic-t2-mf",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="electric",
	},	
	-- basic stage-2 maschine frame
	{
		type = "item",
		name = "y-basic-t2-mf", stack_size = 20,
		icon = "__Yuoki__/graphics/icons/maschine-frame-t2.png",
		flags = {"goes-to-quickbar"},
		subgroup = "y-tech",
		order = "a[items]-1atomic",				
	},	
	
	
	-- small electric generator
	{
		type = "recipe",
		name = "y-seg-recipe",
		ingredients = {{"y-basic-t2-mf",1}, {"y-unicomp-raw", 2}, {"y-chip-1", 2}, {"y-unicomp-a2", 1}},
		result = "y-seg",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="electric",
	},	
	{
		type = "recipe",
		name = "y-seg-p-recipe",
		ingredients = {{"y-seg",1},{"y-chip-1", 1}},
		result = "y-seg-p",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="electric",
	},	
	
	-- big electric generator
	{
		type = "recipe",
		name = "y-beg-recipe",
		ingredients = {{"y-basic-t2-mf",4}, {"y-unicomp-raw", 12}, {"y-chip-2", 6}, {"y-unicomp-a2", 4}},
		result = "y-beg",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="electric",
	},	

	-- boilers
	
	{
		type = "recipe",
		name = "y-boiler-t2-recipe",
		ingredients = {{"boiler", 1}, {"steel-plate", 2}, {"pipe", 3}},
		result = "boiler-t2",
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
	},
	{
		type = "recipe",
		name = "y-boiler-iv-recipe",
		ingredients = {{"boiler-t2", 4}, {"steel-plate", 4}, {"y-pipe-hc", 5}},
		result = "boiler-iv",
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
	},
	--y-obninsk-reactor
	{
		type = "recipe",
		name = "y-obninsk-reactor-recipe",
		ingredients = {{"y-wall-forcefield", 8}, {"steel-plate", 14}, {"y-pipe-ec", 8},{"y-quantrinum", 2}},
		result = "y-obninsk-reactor",
		group = "yuoki", subgroup = "yuoki-energy-gen",					
	},

	
	-- Generators
	
	--y-obninsk-turbine (rensuir)
	{
		type = "recipe",
		name = "y-obninsk-turbine-recipe",
		ingredients = {{"y-orange-stuff", 16}, {"y-unicomp-raw", 18}, {"steel-plate", 4}, {"y-pipe-ec", 10},{"y-quantrinum", 2}},
		result = "y-obninsk-turbine",
		group = "yuoki", subgroup = "yuoki-energy-gen",					
	},	
	{
		type = "recipe",
		name = "y-notfall-generator-s1-recipe",
		ingredients = {{"iron-plate",4}, {"iron-gear-wheel",2}, {"copper-plate",4},},
		result = "notfall-generator-s1",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",			
		order="gen",
	},	
	{
		type = "recipe",
		name = "y-notfall-generator-s2-recipe",
		ingredients = {{"notfall-generator-s1",1}, {"electronic-circuit",1},},
		result = "notfall-generator-s2",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",			
		order="gen",
	},	
	{
		type = "recipe",
		name = "y-notfall-generator-s3-recipe",
		ingredients = {{"notfall-generator-s2",1}, {"electronic-circuit",1},},
		result = "notfall-generator-s3",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",			
		order="gen",
	},	
	
	-- big (ab Jan/2015 standard-steam-turbine)
	{
		type = "recipe",
		name = "y-steam-turbine-recipe",
		ingredients = {{"engine-unit",2},{"steel-plate",3},{"copper-cable",6},{"y-unicomp-raw",3},},		
		result = "steam-turbine",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="turbine",
	},
	
	-- plant
	{
		type = "recipe",
		name = "y-steam-turbine-mk3-recipe",
		ingredients = {{"steam-turbine",2},{"steel-plate",4},{"stone-wall",8} },
		result = "steam-turbine-mk3",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="turbine",
	},	
	
	
})